This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 112084 - isa network interface not included in /etc/modules.conf
isa network interface not included in /etc/modules.conf
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
1
i586 Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-14 05:23 EST by Bart Martens
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-14 11:25:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bart Martens 2003-12-14 05:23:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1)
Gecko/20030225

Description of problem:
After installing Fedora Core 1 on my old i586 with two network cards,
one isa and one not isa, booting with the bootdisk.img diskette,
starting with boot: linux isa text expert reboot=bios, with only "text
based internet" selected in the package groups, and after adding
NE2000 isa network card driver during the installation process, I end
up with an /etc/modules.conf without the isa network interface.




Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Take an old i586, and blow off the dust.
2. Put in two network cards, one isa and one not isa.
3. Start the installation with a bootdisk.img diskette.
4. Enter "linux isa text expert reboot=bios" at the boot:-prompt.
5. Add network card driver NE2000, options "io=0x240 irq=10".
5. Select only "text based internet" on the packages selection.

    

Actual Results:  The /etc/modules.conf file only contains one line,
for the other network card:
alias eth0 8139too


Expected Results:  The /etc/modules.conf file should contain the
following lines:
alias eth0 8139too
alias eth1 ne
options ne io=0x240 irq=10

(Or better, I should have the choice during the installation process
to choose which card becomes eth0 and eth1.)


Additional info:

This problem did not occur with Red Hat 9; it was introduced with
Fedora Core 1.

Workaround: add the missing lines in /etc/modules.conf
Comment 1 Bart Martens 2003-12-14 11:25:34 EST
I re-installed, and now the problem has disappeared. So, either not
reproducible, or I may have made a mistake... So, for now, "NOTABUG".

Note You need to log in before you can comment on or make changes to this bug.